Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Null_Semaphore.h File Reference

`#include "ace/os_include/os_errno.h"`

Include dependency graph for Null_Semaphore.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Null_Semaphore
| Implement a do nothing ACE_Semaphore, i.e., all the methods are no ops. More...

## Detailed Description

Id
  Null_Semaphore.h,v 4.5 2006/02/10 10:08:52 jwillemsen Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>